# PressurePlate (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.material, class: PressurePlate

Package org.bukkit.material

# Class PressurePlate

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.PressurePlate

All Implemented Interfaces:
  `Cloneable`, `PressureSensor`

@Deprecated public class PressurePlate extends MaterialData implements PressureSensor
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a pressure plate

## Constructor Summary

Constructors
Constructor
Description
`PressurePlate()`
Deprecated.
`PressurePlate(Material type)`
Deprecated.
`PressurePlate(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`PressurePlate`
`clone()`
Deprecated.
`boolean`
`isPressed()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PressurePlate

public PressurePlate()
Deprecated.

### PressurePlate

public PressurePlate(Material type)
Deprecated.

### PressurePlate

@Deprecated public PressurePlate(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPressed

public boolean isPressed()
Deprecated.

Specified by:
  `isPressed` in interface `PressureSensor`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public PressurePlate clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`